it-swarm.com.de

AJAX Anfragen wegen HTTPS für wp-admin abgebrochen

Ich habe meine wp-admin Sektion über ein Plugin zu HTTPS gezwungen. Ich habe auch bestimmte Seiten, die https im Frontend verwenden (Login, Abrechnung usw.)

Ich habe anscheinend ein Problem mit HTTP-Seiten, die AJAX to HTTPS for admin-ajax.php verwenden. Die Nonce schlägt fehl. Ist es möglich, HTTP Nonce mit HTTPS Nonce zu verwenden? HTTPS zu HTTPS funktioniert gut. Das Problem ist nur HTTP zu HTTPS. Ist das erwartetes Verhalten?

Ich sehe keine Notwendigkeit, Code bereitzustellen, da dies ziemlich normal ist.

Vielen Dank für jede Eingabe

2
Jeremy

Wechseln Sie für alles zu vollem SSL. Im Ernst, es ist viel einfacher als mit gemischten Inhalten umzugehen.

1
Otto

Das von Ihnen verwendete Plugin ist ziemlich alt. Ich benutze dieses ohne Probleme: https://wordpress.org/plugins/wp-force-ssl/

0